#include "HSetWCones.h"

HSetWCones::HSetWCones(const IVector &A_Center, const IVector &stable, const IVector &unstable, double QFCoef[]) : 
  capd::covrel::GraphicsTripleSet(A_Center, stable, unstable) {
  QF(1,1)=QFCoef[0];
  QF(2,2)=QFCoef[1];
}

HSetWCones::IMatrix HSetWCones::getCoordSystem() {
  IMatrix coord;
  coord.column(0)=Iunstable;
  coord.column(1)=Istable;
  return coord;
}
