#ifndef __HSetWCones__
#define __HSetWCones__

//#include "typedefs.h"
#include "capd/covrel/GraphicsTripleSet.h" 
#include "capd/vectalg/Matrix.hpp"


class HSetWCones:public capd::covrel::GraphicsTripleSet{
 public:
  typedef capd::vectalg::Matrix<interval,2,2> IMatrix;
  typedef TripleSet::FloatVector     DVector;
  typedef TripleSet::IntervalVector  IVector;
  HSetWCones(const IVector &A_Center, const IVector &stable, const IVector &unstable, double QFCoef[]);
  HSetWCones(){}
  inline const IMatrix & get_QF() const{return QF;}
  IMatrix getCoordSystem();
  
 private:
  IMatrix QF;

};


#endif
