#include "HenonLike.h"
#include <iomanip>
#include <fstream>


void initSets(HenonLike &H, HSet *hSet) {
  /*  IVector Check;
  Check[0]=-0.447416;
  Check[1]=-0.0799474;
  std::cout<<coord(Check,false)<<std::endl;exit(0);*/
 IVector centres[7];
 
  IVector w[2];

  w[0][0]=0.788578889012330;
  w[0][1]= 0.614933602760558;
  w[1][0]= 0.682259082166558;
  w[1][1]= -0.731107710380897;

  IVector wt[2];
  wt[0][0]=w[0][0];
  wt[0][1]=-w[0][1];
  wt[1][0]= w[1][0];
  wt[1][1]=-w[1][1];
  // wt[1][0]=0.750925931392967773;
  // wt[1][1]=0.660386436536671957;

  IVector u[6];
  u[0][0]=w[0][0];
  u[0][1]=w[0][1];
  u[1][0]=u[0][1];
  u[1][1]=-u[0][0];
  u[2][0]=0.69;
  u[2][1]=0.723809367167903;
  u[3][0]=u[2][0];
  u[3][1]=-u[2][1];
  u[4][0]= 0.83;
  u[4][1]= 0.557763390695374;
  u[5][0]=u[4][0];
  u[5][1]=-u[4][1];
  

  double QF[]={1.0,-0.8}; //0.01 1 is OK  //unstable stable
  
 
  centres[0][0]= 0.577619;
  centres[0][1]= 0.0;
  centres[1][0]= -0.52715552772576234;
  centres[1][1]= 0.0;
  
  /* IVector u;
  u[0]= 0.682259082166558;
  u[1]= -0.731107710380897;

  IVector seed=coord(0.31777*0.0005*u+centres[1],false);//0.31824, 0.33815016
  centres[2]=midVector(H(midVector(H(midVector(H(seed))))));
  centres[0]=coord(centres[0],false);
  centres[1]=coord(centres[1],false);*/
  /*  IMatrix DF=H[centres[1]];
  IVector U=midVector(H(centres[1]));
  DF=H[U]*DF;
  U=midVector(H(U));
  DF=H[U]*DF;
  std::cout<<DF<<std::endl;
  exit(0);*/
  //std::cout<<centres[2]<<std::endl;
  //  std::cout.precision(17);
  /*  for(int i=0; i<3; i++)
    std::cout<<centres[i]<<std::endl;
  for(int i=3; i<=6; i++) {
    centres[i]=midVector(H(midVector(H(midVector(H(centres[i-1]))))));
    std::cout<<centres[i]<<std::endl;
  }
  std::cout<<std::endl<<std::endl;
  IVector t,tt;
  t[0]=0.547758214637970027;
  t[1]=-0.836636682375703366;
  tt[0]=t[0];
  tt[1]=-t[1];

  std::cout<<centres[4]+interval(-0.002,0.002)*tt[0]+interval(-0.002,0.002)*t[0]<<std::endl;
  std::cout<<centres[5]+interval(-0.002,0.002)*tt[0]+interval(-0.002,0.002)*t[0]<<std::endl;
  std::cout<<centres[6]+interval(-0.003,0.003)*tt[0]+interval(-0.003,0.003)*t[0]<<std::endl;
  exit(0);*/
  /*  int N=100;
  IVector test[N][10];
  for(int j=0; j<N; j++) { //0.31777, 100000
    test[j][0]=0.0005*(0.31777+(j+1)/(100000.0*N))*w[1]+centres[1];
    //  std::cout<<test[j][0]<<std::endl;
  }
  
  double minnorm(100);
  int mini, minj;
  for(int i=1; i<6; i++) {
    for(int j=0; j<N; j++) {
      try {
      test[j][i]=midVector(H(midVector(H(midVector(H(test[j][i-1]))))));
      }
      catch(...) {test[j][i]=test[j][i-1];}
      double testn=((test[j][i]-centres[0]).euclNorm()).rightBound();
      if(testn<minnorm) {
	minj=j;
	mini=i;
	minnorm=testn;
	std::cout<<i<<" "<<j<<" "<<minnorm<<std::endl;
      }
    }
  }
  std::cout<<test[minj][0]<<std::endl<<test[minj][mini]<<std::endl;
  
  exit(0);
  */
  /*
  IVector app;
  app[0]=-0.3669;
  app[1]=0.011;
  app=coord(app,false);
 
  std::ifstream cFile("CENTRES_realFunction.txt");
  IVector test2[2400][10];
  for(int i=0; i<2400; i++) {
    cFile>>test2[i][0];
    std::cout<<coord(test2[i][0],true)<<std::endl;
  }
  exit(0);*/
  IVector temp;//(test2[1944][0]);
  /* temp[0]=0.17069645575086592;
  temp[1]=-0.11887222599380128;
  std::cout<<coord(temp,true)<<std::endl;exit(0);*/
  //  in OLD COORD = 0.6706962933430346, -0.078921564417770498
  temp[0]=0.67406957664087375;
				//0.674095;//0.673893;
 //0.6731903222789537;
  temp[1]=-0.081909074871481288;
  //   std::cout<<coord(temp+interval(-0.001,0.001)*w[0]+interval(-0.001,0.001)*wt[0],false)<<std::endl;
  //exit(0);
  //-0.0819289;//-0.0817438;//-0.0907786; //-0.082605770369159434;
  /*int N=1000;
  IVector test[N][10];
  for(int j=0; j<N; j++) { //0.31777, 100000
    test[j][0]=-0.001*(0.0322394+1*(j+1)/(10000000.0*N))*wt[0]+temp;
    //  std::cout<<test[j][0]<<std::endl;
  }
  double minnorm(100);
  int mini, minj;
  for(int i=1; i<10; i++) {
    for(int j=0; j<N; j++) {
      try {
	test[j][i]=midVector(H.inv(midVector(H.inv(midVector(H.inv(test[j][i-1]))))));
      }
      catch(...) {test[j][i]=test[j][i-1];}
      double testn=((test[j][i]-centres[1]).euclNorm()).rightBound();
      if(testn<minnorm) {
	minj=j;
	mini=i;
	minnorm=testn;
	std::cout<<i<<" "<<j<<" "<<minnorm<<std::endl;
      }
    }
  }
  std::cout<<test[minj][0]<<std::endl<<test[minj][mini]<<std::endl<<std::endl;
  temp=test[minj][0];
  std::cout.precision(17);
  */
  IVector centresB[8];
  std::cout<<temp<<std::endl;
  centresB[5]=temp;
  for(int i=4; i>=0; i--) {
    temp=midVector(H.inv(midVector(H.inv(midVector(H.inv(temp))))));
    std::cout<<temp<<std::endl;
    centresB[i]=temp;
  }
  for(int i=6; i<8; i++) {
    centresB[i]=midVector(H(midVector(H(midVector(H(centresB[i-1]))))));
    std::cout<<centresB[i]<<std::endl;
  }
  //exit(0);

  //  exit(0);
  /*
  hSet[0]=HSet(centres[0],0.004*wt[0], 0.004*w[0], QF); //  1270 0725 (1470 0755)
  hSet[1]=HSet(centres[1],0.0005*wt[1], 0.0005*w[1], QF); // stable unstable 104 051 (1240 058)
  hSet[2]=HSet(centres[2],0.001*wt[1], 0.001*w[1], QF); // 18 51
  hSet[3]=HSet(centres[3],0.002*wt[1], 0.002*w[1], QF); // 18 51
  hSet[4]=HSet(centres[4],0.002*wt[0], 0.002*w[0], QF); // 18 51
  hSet[5]=HSet(centres[5],0.002*wt[0], 0.002*w[0], QF); // 18 51
  hSet[6]=HSet(centres[6],0.003*wt[0], 0.003*w[0], QF); // 18 51
  */
  hSet[0]=HSet(centres[1],0.00015*wt[1], 0.00015*w[1], QF); //  1270 0725 (1470 0755)
  hSet[1]=HSet(centresB[0],0.00019*wt[1], 0.0001*w[1], QF); // stable unstable 104 051 (1240 058)
  hSet[2]=HSet(centresB[1],0.0003*wt[1], 0.0003*w[1], QF); // 18 51
  hSet[3]=HSet(centresB[2],0.0003*w[0], 0.0003*wt[0], QF); // 18 51
  hSet[4]=HSet(centresB[3],0.0005*wt[0], 0.0005*w[0], QF); // 18 51
  hSet[5]=HSet(centresB[4],0.0003*w[0], 0.0003*wt[0], QF); // 18 51
  hSet[6]=HSet(centresB[5],0.001*wt[0], 0.001*w[0], QF); // 18 51
  hSet[7]=HSet(centresB[6],0.001*wt[0], 0.001*w[0], QF); // 18 51
  hSet[8]=HSet(centres[0],0.002*wt[0], 0.002*w[0], QF); // 18 51
  /*      hSet[9]=HSet(centres[0],0.002*wt[0], 0.002*w[0], QF); // 18 51*/
}


void computeEdge(Frame &f1, Frame &f2,
                 FuncPointer f, const GridSet &G,
                 HSet &destination, int color, HenonLike &H, bool fixedPoint)
{
  unsigned i;
  for(i=0;i<G.center.size();i++)
    {
      IVector V = G.center[i] + G.C * G.r;
      
      f1.boxFill(V[0].leftBound(),V[1].leftBound(),V[0].rightBound(),V[1].rightBound(),color);
      
      f1.box(V[0].leftBound(),V[1].leftBound(),V[0].rightBound(),V[1].rightBound());
      if(fixedPoint) {
	V=H(H(V)); //H(V)
      }
      else {
	V=H(H(H(V)));
      }
      
      f2.boxFill(V[0].leftBound(),V[1].leftBound(),V[0].rightBound(),V[1].rightBound(),color);
      
      f2.box(V[0].leftBound(),V[1].leftBound(),V[0].rightBound(),V[1].rightBound());
      
      if(!f(destination,V)){
	rootFrame << At(4,0) << "Inclusion not satisfied";
		std::cout<<"FAIL"<<std::endl;
		//	waitBt();
	//	exit(0);
      }
    }
} 

void setCoordinates(Frame &F, HSet &H) {
  double s=0.005;
  F.setWorldCoord(H.center[0]-s,H.center[1]-s,H.center[0]+s,H.center[1]+s);
}

void checkCoveringRelations(HSet *hSet, HenonLike &H) {
  GridSet G;
  int h=500;//  int h[] = {20,20,100}; //20, 20, 100
  int v=500;//int v[] = {20,20,100};
  bool flip[] = {true, true, true, true, true, true}; 
  Frame F1(50,50,450,450);
  Frame F2(550,50,950,450);
  
  for(int i=0; i<10; i++) {
    rootFrame.Clear();
    F1.Bound(BROWN);
    F2.Bound(BROWN);
    int k,l;
    switch(i) {
    case 0:k=0; l=0; break;
    case 1:k=0; l=1; break;
    case 2:k=1; l=2; break;
    case 3:k=2; l=3; break;
    case 4:k=3; l=4; break;
    case 5:k=4; l=5; break;
    case 6:k=5; l=6; break;
    case 7:k=6; l=7; break;
    case 8:k=7; l=8; break;
    case 9:k=8; l=8; break;
    }
 
    std::cout<<k<<" "<<l<<std::endl;
    setCoordinates(F1, hSet[k]);
    setCoordinates(F2, hSet[l]);
    F1 << dynamic_cast<GtSet&> (hSet[k]);
    F2 << dynamic_cast<GtSet&> (hSet[l]);
    
    computeEdge(F1,F2,capd::covrel::Across,hSet[k].gridBottomEdge(G,h),hSet[l],GREEN,H, false);
    computeEdge(F1,F2,capd::covrel::Across,hSet[k].gridTopEdge(G,h),hSet[l],GREEN,H, false);
    if(k ==4 || k>=6) {
      computeEdge(F1,F2,capd::covrel::LeftSide,hSet[k].gridRightEdge(G,v),hSet[l],RED,H, false);
      computeEdge(F1,F2,capd::covrel::RightSide,hSet[k].gridLeftEdge(G,v),hSet[l],BLUE,H, false);
    }
    else {
      computeEdge(F1,F2,capd::covrel::RightSide,hSet[k].gridRightEdge(G,v),hSet[l],RED,H, false);
      computeEdge(F1,F2,capd::covrel::LeftSide,hSet[k].gridLeftEdge(G,v),hSet[l],BLUE,H, false);
    }

    // waitBt();
  }
}

IMatrix gridDerivative(const HenonLike &H, GridSet &G, int it) {
  GridSet::iterator b=G.begin(), e=G.end();
  IMatrix DF;
  bool first(true);
  IVector box=G.C*G.r;
  int k=0;
  while(b!=e) {
    k++;
    if(k==500*(k/500))
      std::cerr<<k<<" ";
    IVector U=(*b)+box;
    IMatrix DFtemp=H[U];
    
    if(it==2) {
      U=H(U);
      DFtemp=H[U]*DFtemp;
    }
    if(it==3) {
      U=H(U);
      DFtemp=H[U]*DFtemp;
      U=H(U);
      DFtemp=H[U]*DFtemp;
    }
    
    if(first) {
      first=false;
      DF=DFtemp;
    } 
    else {
      DF=intervalHull(DF,DFtemp);
    }
    ++b;
  }

  return DF;
}


void checkConeCondition(const HenonLike &H, HSet &source, HSet &destination, int unStableGrid, int stableGrid, int it) {
  GridSet G;
  source.gridSet(G,unStableGrid,stableGrid);

  IMatrix DF=gridDerivative(H,G,it);
  DF=capd::matrixAlgorithms::gaussInverseMatrix(destination.getCoordSystem())*DF*source.getCoordSystem();
 
  IMatrix V=Transpose(DF)*destination.get_QF()*DF-source.get_QF();
  if( !(V(1,1)>0 && (V(1,1)*V(2,2)-V(1,2)*V(2,1))>0 ) ) {
    std::cerr<<"Cone condition failed"<<std::endl
	     <<V(1,1)<<" "<<V(1,1)*V(2,2)-V(1,2)*V(2,1)<<std::endl;
    //exit(0);
  }
  else  {
      std::cerr<<"Cone condition succeded"<<std::endl
	       <<V(1,1)<<" "<<V(1,1)*V(2,2)-V(1,2)*V(2,1)<<std::endl;
  }
  
}

void checkConeConditionsGlobally(HSet *hSet, const HenonLike &H) {
  checkConeCondition(H,hSet[0],hSet[0],20,20,3);
  checkConeCondition(H,hSet[0],hSet[1],20,20,3);
  checkConeCondition(H,hSet[1],hSet[2],20,20,3);
  checkConeCondition(H,hSet[2],hSet[3],20,20,3);
  checkConeCondition(H,hSet[3],hSet[4],50,50,3);
  checkConeCondition(H,hSet[4],hSet[5],50,50,3);
  checkConeCondition(H,hSet[5],hSet[6],50,50,3);
  checkConeCondition(H,hSet[6],hSet[7],20,20,3);
  checkConeCondition(H,hSet[7],hSet[8],20,20,3);
  checkConeCondition(H,hSet[8],hSet[8],20,20,3);
}

int main(int argc, char* argv[])
{
  //  int i=atoi(argv[1]);
  try{
    openGW(1000,1000, WHITE, BLACK);
    rootFrame.setWorldCoord(-2,-2,3,3);
    HSet hSet[10];
    HenonLike H;
    // closeGW();
    initSets(H,hSet);
   
    checkCoveringRelations(hSet, H);
    waitBt();
    closeGW();
    checkConeConditionsGlobally(hSet, H);
  }
  catch(std::exception& e) {std::cout<<e.what()<<std::endl;}

 

}

